%define project	KDocker

Name:		kdocker
Version:	5.4
Release:	%mkrel 1
Summary:	Dock any application in the system tray
Group:		Graphical desktop/Other
License:	GPLv2+
URL:		https://github.com/user-none/KDocker
Source0:	https://github.com/user-none/KDocker/archive/%{version}/%{name}-%{version}.tar.xz
Source1:	kdocker.desktop
Patch0:		kdocker-5.0-fix-install.patch
BuildRequires: qttools5
BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5gui-devel
BuildRequires: %{_lib}qt5network-devel
BuildRequires: %{_lib}qt5widgets-devel
BuildRequires: %{_lib}qt5x11extras-devel
BuildRequires: %{_lib}qtsingleapplication-qt5-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xmu-devel
BuildRequires: %{_lib}xpm-devel
BuildRequires: libxcb-devel
BuildRequires: qtbase5-common-devel


BuildRequires:	pkgconfig(xmu)
BuildRequires:	pkgconfig(xpm)

%description
%{project} will help you dock any application in the system tray. This means you
can dock OpenOffice, XMMS, Firefox, Thunderbolt, Eclipse, anything! Just point
and click. Works for LXQT/KDE and GTK/GNOME (In fact it should work for most
modern window managers that support NET WM Specification for instance).

All you need to do is start %{project} and select an application using the mouse
and lo! the application gets docked into the system tray. The application can
also be made to disappear from the task bar.


%prep
%setup -q -n %{project}-%{version}
%apply_patches

# unbundle qtsingleapplication
rm -fr 3rdparty

%build
%qmake_qt5 SYSTEMQTSA=1

%make

%install
rm -rf %buildroot
%qmakeinstall_std

install -m 0644 %SOURCE1 %buildroot/%{_datadir}/applications/kdocker.desktop


%files
%config(noreplace) %{_sysconfdir}/bash_completion.d/*
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/appdata/%{name}.appdata.xml
%{_iconsdir}/hicolor/128x128/apps/%{name}.png
%{_mandir}/man1/%{name}.1*


%changelog
* Sun Sep 11 2022 tex - 5.4-1pclos2022
- new version

* Fri Mar 20 2020 tex - 5.3-1pclos2020
- new version

* Fri Jul 27 2018 bb2 <bb2> - 5.2-1pclos2018
- new version
